using System;
class Program{
    static void Main(){
     
     string [] s = Console.ReadLine().Split();
     int a = int.Parse(s[0]);
     int b = int.Parse(s[1]);

     string [] c = Console.ReadLine().Split();
     int x = int.Parse(s[0]);
     int y = int.Parse(s[1]);
     
     if(x == a && y == b){
         Console.WriteLine("nijedan");
     }
     
     else if(x == a && b > y){
         Console.WriteLine("drugi");
       }
    
     else if(a > x && y == b){
         Console.WriteLine("prvi");
     }
      
     else
         Console.WriteLine("?");
         
    }
}